Bug 103258 - UNO: Contextual footnote/endnote command for use in context menu
Summary: UNO: Contextual footnote/endnote command for use in context menu
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Gülşah Köse
QA Contact:
URL:
Whiteboard: target:5.4.0
Keywords:
Depends on:
Blocks: Context-Menu UNO-Command
  Show dependency treegraph
 
Reported: 2016-10-16 11:40 UTC by Yousuf Philips (jay)
Modified: 2017-04-17 21:46 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) 2016-10-16 11:40:45 UTC
Unfortunately the Tools > Footnote and Endnote (.uno:FootnoteDialog) command isnt contextually enabled/disable within the cursor is in the footnote and endnote area of a document, so we need such an uno command to be created for this scenario, so that it can be included in the context menu.
Comment 1 Commit Notification 2017-02-05 16:50:28 UTC
Gulsah Kose committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=0b819a1f0704b82b16007ba707e49ad4082311df

tdf#103258 Add contextual edit footnote endnote command.

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Yousuf Philips (jay) 2017-02-09 10:50:46 UTC
Thanks.

Version: 5.4.0.0.alpha0+
Build ID: 0e0fef10002b46965edad02b3f460a502d9f6595
CPU Threads: 2; OS Version: Linux 3.19; UI Render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-02-09_01:24:57
Locale: en-US (en_US.UTF-8); Calc: group
Comment 3 Commit Notification 2017-04-17 21:46:25 UTC
Yousuf Philips committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4d37e30514d5bbf635c754652d01ac3329479f76

tdf#103258 Contextual footnote in its own section

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.